# '-*- Perl -*-'
#
#
# Copyright 1995, Brian C. Jepson
#                 Director of Advanced Technology,
#                 Prosoft Systems International, Inc.
#                 (bjepson@conan.ids.net)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#
# Sample script to read a POST or GET method query and insert it into
# helpdesk.dbf
#
require "xbase.pl";
require "cgi.pl";
require "html.pl";
$UPPERCASE = 1;
$QUERY_HOME = "E:/VFPINET/FOXSRV";	# where does the query server live?
$HTTP_HOME  = "E:\\VFPINET\\HTTP";	# http data directory

#
# give them some feedback
#
&html_head("Your Action");
&html_styleheader(1, "Your Action");

# insert the results of the query which called this script
&get_data(*results);

&html_foot;


sub get_data {

    local(*results) = @_;
    
    # get the query values
    # (it will either come in via STDIN if it's a post method, or in
    #  $ENV{"QUERY_STRING"} if via GET
    #  ... but you don't care about that, since get_data() always knows)
    #
    &parse_query(*insert, $UPPERCASE);

    $thisInsert = "INSERT$$";

    $qpInsert{'QP_METHOD'} = $insert{'METHOD'};
    $qpInsert{'QP_DBC'}    = $insert{'DBC'};
    $qpInsert{'QP_TABLE'}  = $insert{'TABLE'};
    $qpInsert{'QP_QUERY'}  = $thisInsert;
    $qpInsert{'QP_SCRIPT'} = "vfp_updt.pl";
    $time = time();

    &xbHeader("../foxsrv/qspoll.dbf", *qpFields, *qpField_def);
    &xbInsert("../foxsrv/qspoll.dbf", *qpFields, *qpField_def, *qpInsert);

    $qfInsert{'QF_PARENT'} = $thisInsert;
    &xbHeader("../foxsrv/qsfields.dbf", *qfFields, *qfField_def);

    foreach (keys %insert) {
	unless (/^TABLE$/ || /^DBC$/ || /^BTN1$/ || /^METHOD$/ || /^PGTITLE$/) {

	    $qfInsert{'QF_FIELD'} = $_;
	    $qfInsert{'QF_VALUE'} = $insert{$_};
	    &xbInsert("../foxsrv/qsfields.dbf", *qfFields, *qfField_def, *qfInsert);

	}
    }
    print "Your update request has been submitted. <P>";
}


